Mailinglist Archive: opensuse-updates (89 mails)

< Previous Next >
openSUSE-RU-2015:0004-1: moderate: Recommended update for wicked
openSUSE Recommended Update: Recommended update for wicked
______________________________________________________________________________

Announcement ID: openSUSE-RU-2015:0004-1
Rating: moderate
References: #895600 #900951 #901337 #901402 #904061 #904380
#904432 #904776 #904903 #905421 #905750 #906217
#907683 #908554
Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that has 14 recommended fixes can now be
installed.

Description:


The network management framework wicked was updated to version 0.6.14.

Following issues were fixed:
- client: fixed segfault in status (bsc#908554)
- bonding: add new/missed bonding options (bsc#905750)
- systemd: service ordering dependencies (bsc#895600,bsc#901337)
- sysctl: do not fail on read-only proc e.g. in LXC (bsc#904432)
- netlink: recover from netlink event socket errors and allow to configure
the event socket buffer sizes (bsc#905421)
- fixed some memory and a file descriptor leak
- bonding: add encap2+3 and 3+4 xmit-hash-policies (bsc#905750)
- client: apply suse ifcfg alias label (bsc#907683)
- netlink: retry on DUMP_INTR and AGAIN (bsc#904776)
- gcrypt: do not fail when wicked has been build using a newer but
compatible library than the currently used (bsc#906217)
- compat: use info level on unspecified ip (bsc#904903)
- compat: fix tap group node generation (bsc#904380)
- sit,ipip,gre: generate tunnel config on change (bsc#901402)
- fsm: always refresh worker on device-ready event and match only ready
devices against config workers (bsc#904061)
- fsm: perform tentative check on all started interfaces with nanny
(bsc#900951)


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-4

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

libwicked-0-6-0.6.14-4.1
libwicked-0-6-debuginfo-0.6.14-4.1
wicked-0.6.14-4.1
wicked-debuginfo-0.6.14-4.1
wicked-debugsource-0.6.14-4.1
wicked-service-0.6.14-4.1


References:

https://bugzilla.suse.com/show_bug.cgi?id=895600
https://bugzilla.suse.com/show_bug.cgi?id=900951
https://bugzilla.suse.com/show_bug.cgi?id=901337
https://bugzilla.suse.com/show_bug.cgi?id=901402
https://bugzilla.suse.com/show_bug.cgi?id=904061
https://bugzilla.suse.com/show_bug.cgi?id=904380
https://bugzilla.suse.com/show_bug.cgi?id=904432
https://bugzilla.suse.com/show_bug.cgi?id=904776
https://bugzilla.suse.com/show_bug.cgi?id=904903
https://bugzilla.suse.com/show_bug.cgi?id=905421
https://bugzilla.suse.com/show_bug.cgi?id=905750
https://bugzilla.suse.com/show_bug.cgi?id=906217
https://bugzilla.suse.com/show_bug.cgi?id=907683
https://bugzilla.suse.com/show_bug.cgi?id=908554


< Previous Next >
This Thread
  • No further messages